Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSVisualVoiceMailMessage Class Reference

Interface for all Visual Voicemail Message related tasks and properties. More...

`#import <CSVisualVoiceMailMessage.h>`

Inherits NSObject.

## Instance Methods
(void) | - markAsRead
| Marks the visual voicemail message as read. More...
(void) | - markAsUnread
| Marks the visual voicemail message as read. More...
(CSCancellableDataRetrieval *) | - download:completionHandler:
| Start the download of the audio voicemail file asynchronously. More...
(NSString *) | - consume
| Returns the location of audio file for consumption and changes audio file status to eCONSUMED. More...
(BOOL) | - isEqual:

## Properties
id< CSVisualVoiceMailMessageDelegate > | delegate
| The delegate responsible for handling message-related events. More...
NSString * | callerAddress
| The identity of the party that left the voice message. More...
NSString * | callerName
| The name of the party that left the voice message. More...
NSString * | subject
| The subject of the voice message. More...
NSDate * | receivedDate
| The received date/time of the voice message. More...
BOOL | isRead
| The flag indicating whether or not the message is read. More...
UInt64 | size
| The size of attached audio voicemail file. More...
NSUInteger | duration
| The duration of attached audio voicemail file. More...
NSString * | location
| The location of attached audio voicemail file. More...
CSVisualVoiceMailMessageStatus | audioFileStatus
| The status of attached audio voicemail file. More...
CSCapability * | markMessageAsReadCapability
| Capabilities. More...
CSCapability * | markMessageAsUnreadCapability
| A CSCapability object that indicates if the visual voicemail can be marked as unread. More...
CSCapability * | downloadCapability
| A CSCapability object that indicates if the audio voicemail file can be downloaded. More...
CSCapability * | consumeCapability
| A CSCapability object that indicates if the audio voicemail file can be consumed. More...

## Detailed Description

Interface for all Visual Voicemail Message related tasks and properties.

## Method Documentation

- (NSString*) consume |  |  |

Returns the location of audio file for consumption and changes audio file status to eCONSUMED.

Returns
  URI of attachment or empty string if location is not available.

- (CSCancellableDataRetrieval *) download: |  | (NSString *) | downloadFilePath
completionHandler: |  | (CSVisualVoiceMailCompletionHandler) | handler

Start the download of the audio voicemail file asynchronously.

Parameters

  downloadFilePath | The path to download audio voicemail file.
  handler | The application/client context associated with this operation.

Returns
  Data retrieval cancel object.

- (BOOL) isEqual: |  | (id) | object |

- (void) markAsRead |  |  |

Marks the visual voicemail message as read.

- (void) markAsUnread |  |  |

Marks the visual voicemail message as read.

## Property Documentation

- (CSVisualVoiceMailMessageStatus) audioFileStatus
| read nonatomic assign

The status of attached audio voicemail file.

- (NSString*) callerAddress
| read nonatomic assign

The identity of the party that left the voice message.

- (NSString*) callerName
| read nonatomic assign

The name of the party that left the voice message.

- (CSCapability*) consumeCapability
| read nonatomic assign

A CSCapability object that indicates if the audio voicemail file can be consumed.

Returns
  Capability object describing whether the audio voicemail file can be consumed.

- (id<CSVisualVoiceMailMessageDelegate>) delegate
| read write nonatomic weak

The delegate responsible for handling message-related events.

- (CSCapability*) downloadCapability
| read nonatomic assign

A CSCapability object that indicates if the audio voicemail file can be downloaded.

Returns
  Capability object describing whether the audio voicemail file can be downloaded.

- (NSUInteger) duration
| read nonatomic assign

The duration of attached audio voicemail file.

- (BOOL) isRead
| read nonatomic assign

The flag indicating whether or not the message is read.

- (NSString*) location
| read nonatomic assign

The location of attached audio voicemail file.

- (CSCapability*) markMessageAsReadCapability
| read nonatomic assign

Capabilities.

A CSCapability object that indicates if the visual voicemail can be marked as read.

Returns
  Capability object describing whether the visual voicemail can be marked as read.

- (CSCapability*) markMessageAsUnreadCapability
| read nonatomic assign

A CSCapability object that indicates if the visual voicemail can be marked as unread.

Returns
  Capability object describing whether the visual voicemail can be marked as unread.

- (NSDate*) receivedDate
| read nonatomic assign

The received date/time of the voice message.

- (UInt64) size
| read nonatomic assign

The size of attached audio voicemail file.

- (NSString*) subject
| read nonatomic assign

The subject of the voice message.

The documentation for this class was generated from the following file:

- CSVisualVoiceMailMessage.h